VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command1 
      Caption         =   "Convert image files to PDF files"
      Height          =   1215
      Left            =   960
      TabIndex        =   0
      Top             =   720
      Width           =   2895
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Const MemImageWidth = 100
Const MemImageHeight = 100

Const DT_LEFT = &H0
Const DT_CENTER = &H1
Const DT_RIGHT = &H2
Const DT_WORDBREAK = &H10
Const DT_CALCRECT = &H400

'define for VerySetFunction
Const Very_Set_MultiPage = 101
Const Very_Set_ImagePosAndSize = 104
Const Very_Set_Encrypt = 105
Const Very_Set_Font = 106
Const Very_Set_NewOrClosePage = 109
Const Very_Set_BookMark = 110
Const Very_Set_ViewerPreferences = 121
Const Very_Set_PageOrientation = 122
Const Very_Set_Line_Dash = 123
Const Very_Set_Line_Flat = 124
Const Very_Set_Line_Join = 125
Const Very_Set_Line_Cap = 126
Const Very_Set_Line_MiterLimit = 127

Const Very_Set_Link_BorderStyle = 128
Const Very_Set_Link_BorderDash = 129
Const Very_Set_Link_Web = 130
Const Very_Set_Link_Local = 132

Const Very_Set_Text_Matrix = 133
Const Very_Set_Text_Leading = 134
Const Very_Set_Text_Rise = 135
Const Very_Set_Text_HorizScaling = 136
Const Very_Set_Text_Rendering = 137
Const Very_Set_Text_CharSpace = 138
Const Very_Set_Text_WordSpace = 139

Const Very_Set_Image_Compress_Monochrome = 142
Const Very_Set_Image_AutoAdjustPageWidthHeightByResolution = 143

Const Very_Set_Info_Metadata = 150
Const Very_Set_Info_Producer = 151
Const Very_Set_Info_CreatedDate = 152
Const Very_Set_Info_ModifiedDate = 153
Const Very_Set_PreProcessImage = 245

'define for VeryGetFunction
Const Very_Get_ImagePageCount = 201
Const Very_Get_ImageSizeW = 202
Const Very_Get_ImageSizeH = 203
Const Very_Get_ImageDpiX = 204
Const Very_Get_ImageDpiY = 205
Const Very_Get_PdfPageCount = 206
Const Very_Get_PdfCurrentPageSize = 209
Const Very_Get_StringWidth = 250
Const Very_Get_StringHeight = 251

Public Function AddImage(ByRef pdfObject As Object, ByVal FileID As Long, ByVal Image As String)
    Dim code
    Dim width
    Dim height
    Dim xdpi
    Dim ydpi
    
    'ImageName = pdfFilePath + Image
    ImageName = Image

    bresult = pdfObject.com_VerySetFunction(FileID, Very_Set_PreProcessImage, 1, 0, 0, 0)
    
    'get width height
    code = 202
    width = pdfObject.com_VeryGetFunction(FileID, code, 0, 0, ImageName, 0)
    'Response.Write "width:" & width & "</br>"
    code = 203
    height = pdfObject.com_VeryGetFunction(FileID, code, 0, 0, ImageName, 0)
    'Response.Write "height:" & height & "</br>"
    'get dpi
    code = 204
    xdpi = pdfObject.com_VeryGetFunction(FileID, code, 0, 0, ImageName, 0)
    'Response.Write "xdpi:" & xdpi & "</br>"
    code = 205
    ydpi = pdfObject.com_VeryGetFunction(FileID, code, 0, 0, ImageName, 0)
    'Response.Write "ydpi:" & ydpi & "</br>"

    If xdpi > 0 And ydpi > 0 Then
            width = (width * (58 / xdpi))
            height = (height * (58 / ydpi))
    Else
            width = (width * (62 / xdpi))
            height = (height * (62 / ydpi))
    
    End If

    Dim startx
    Dim starty
    startx = (612 / 2) - (width / 2)
'                               bresult = pdfObject.com_VerySetFunction(FileID, 104, 20, 110, CStr(width), CStr(height))
    starty = (792 / 2) - (height / 2)
    bresult = pdfObject.com_VerySetFunction(FileID, 104, startx, starty, CStr(width), CStr(height))
    'add image one

    bresult = pdfObject.com_VeryAddImage(FileID, ImageName)
    
End Function


Private Sub Command1_Click()
    Dim pdfObj As Object
    
    Set pdfObj = CreateObject("pdfshell.shellexe")

    'Create a PDF file
    id = pdfObj.com_VeryCreate(App.Path & "\image2pdf.pdf")
    
    AddImage pdfObj, id, App.Path & "\F48012.jpg"
    
    pdfObj.com_VeryClose (id)
End Sub

